
###############################################
### APPLICATION CONNECTIVITY CONFIGURATIONS ###
###############################################

database.ip = ${MYSQL_IP:localhost}
database.port = ${MYSQL_PORT:3306}
database.user = ${MYSQL_USER:root}
database.password = ${MYSQL_PASSWORD:root}
database.name = ${MYSQL_DBNAME:catalyst-sbp}

#database.ip = ${MYSQL_IP:161.27.212.60}
#database.port = ${MYSQL_PORT:3307}
#database.user = ${MYSQL_USER:root}
#database.password = ${MYSQL_PASSWORD:CatalystRandomPass123#}
#database.name = ${MYSQL_DBNAME:catalyst-d43}

#############################################
### SPRING CONFIGURATIONS FOR THE DATABASE ###
##############################################
## Spring DATASOURCE (DataSourceAutoConfiguration & DataSourceProperties)
spring.datasource.url = jdbc:mysql://${database.ip}:${database.port}/${database.name}?allowPublicKeyRetrieval=true&useSSL=false&serverTimezone=UTC
spring.datasource.username = ${database.user}
spring.datasource.password = ${database.password}

## Hibernate Properties
# The SQL dialect makes Hibernate generate better SQL for the chosen database
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5InnoDBDialect

# Hibernate ddl auto (create, create-drop, validate, update)
spring.jpa.hibernate.ddl-auto = validate

# Sql queries logging

server.port=8081

spring.jpa.properties.hibernate.jdbc.time_zone=UTC
spring.jpa.properties.hibernate.show_sql=false

datacenter.name = PILOT_DATACENTER
is.pilot = true

# if true get measurements from pre-opt, otherwise normal
execution.on = false

#if true , sensors monitor both RT and DT; else Server Room is monitored and the split is considered based on edPercentage
serverroom.split = true

server.servlet.context-path=/db-api-1.0.0